Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232955 - Feature request: Winbind offline mode
Summary: Feature request: Winbind offline mode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 16:48 UTC by Simo Sorce
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-25 18:31:47 UTC


Attachments (Terms of Use)

Description Simo Sorce 2007-03-19 16:48:27 UTC
Description of problem:


Description of problem:
We would like to let the user easily enable offline logins (ie be able to login
with domain credentials when disconnected) when winbindd is in use

Additional info:

To do so it would be necessary to add a checkbox to the current winbind options
dialog that asks the user if he wants to enable winbindd offline mode.

2 things need to be configured if the checkbox is checked.

the pam stack pam_winbindd lines need to have the "cached_login = yes" option set.
And "winbind offline logon = yes" need to be added to smb.conf

Comment 1 Tomas Mraz 2007-07-25 16:45:51 UTC
I'm working on this - do you have any idea for short descriptive text for the
checkbox in the dialog?


Comment 2 Tomas Mraz 2007-07-25 18:31:47 UTC
Built as authconfig-5.3.16-1.fc8 in rawhide - but probably won't be included in
the Test1.


Comment 3 Simo Sorce 2007-07-26 08:25:26 UTC
I'd say something like:
enable offline support
or
enable credential caching support for offline authentication

Comment 4 Tomas Mraz 2007-07-26 10:55:34 UTC
I've called it "Allow offline login". Is it OK?


Comment 5 Simo Sorce 2007-07-26 12:28:13 UTC
Absolutely, very good choice indeed!


Note You need to log in before you can comment on or make changes to this bug.